package cn.com.countrygarden.bi.main.model.performance.dto;

import cn.com.countrygarden.bi.main.model.performance.PerformanceRecord;
import cn.com.countrygarden.bi.main.model.performance.PerformanceScore;
import cn.com.countrygarden.bi.main.model.performance.PerformanceTarget;

/**
 * 根据考核记录DTO
 */
public class PerformanceRecordDto extends PerformanceRecord {

    private PerformanceTarget targetInfo;

    private PerformanceScore scoreInfo;

    public PerformanceRecordDto() {
        super();
    }

    public PerformanceRecordDto(String hierachyId, long elementId, int year, int quarter) {
        super(hierachyId, elementId, year, quarter);
    }

    public PerformanceTarget getTargetInfo() {
        return targetInfo;
    }

    public void setTargetInfo(PerformanceTarget targetInfo) {
        this.targetInfo = targetInfo;
    }

    public PerformanceScore getScoreInfo() {
        return scoreInfo;
    }

    public void setScoreInfo(PerformanceScore scoreInfo) {
        this.scoreInfo = scoreInfo;
    }
}
